* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
html, body {
    width: 100%;
    height: 100%;
    margin: 0;
    padding: 0;
    font-family: 'Red Hat Display', sans-serif;
    background-image: url("/images/background.png");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    background-attachment: fixed; /* Hintergrundbild bleibt fixiert */
    overflow-x: hidden; /* Horizontales Scrollen verhindern */
}

.header {
    text-align: center;
    color: #ffffff;
    font-size: 16px;
    line-height: 1.4;
    font-weight: 700;
    letter-spacing: 0.5px;
    padding: 9px;
    background: linear-gradient(127deg, darkgreen, #3cc03e 100%);
}

/* Button Styling */
.Zugang {
    color: white;
    background: linear-gradient(135deg, #7ed957, #4caf50);
    border-radius: 5px;
    padding: 20px 56px;
    margin: 20px auto;
    max-width: 600px;
    background-clip: padding-box;
    cursor: pointer;
    font-weight: bold;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 22px;
    border: none;
    transition: transform .2s ease;
    text-align: center;
}

.Zugang:hover {
    transform: scale(1.12);
}

.arrow {
    user-select: none;
    width: 30px;
    height: 27px;
    scale: 0.7;
    margin-right: 8px;
    vertical-align: middle;
    display: inline-flex;
    align-items: center;
}


.form p {
    text-align: center;
    padding: 20px 0 30px;
}

.submit {
    background: green;
}

a {
    text-decoration: none;
}

.play-button {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 50px;
    width: 60px;
    height: 60px;
    text-align: center;
    color: white;
    background-color: #3cc03e;
    border-radius: 50%;
    padding: 10px;
    cursor: pointer;
}

.Vorschau::after {
    content: '\e037'; /* Unicode für das play_arrow Icon */
    font-family: 'Material Icons';
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 3vw; /* Skalierung relativ zur Viewport-Breite */
    color: white;
    background-color: #3cc03e;
    border-radius: 50%;
    width: 5vw; /* Skalierung relativ zur Viewport-Breite */
    height: 5vw;
    text-align: center;
    line-height: 5vw; /* Vertikale Zentrierung */
    cursor: pointer;
    z-index: 9;
}

@media (max-width: 768px) {
    .Vorschau::after {
        font-size: 2vw;
        width: 3vw;
        height: 3vw;
        line-height: 3vw;
    }
}

@media (max-width: 480px) {

}


.Vorschau {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 20px auto;
    max-width: 100%;
    padding: 0;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    border-radius: 20px;
    overflow: hidden;
}

.Vorschau img {
    border-radius: inherit;
    max-width: 100%;
    height: auto;
    display: block;
}

.arrow-animation {
    animation: bounce 1s infinite;
}

@keyframes bounce {
    0%, 100% {
        transform: translateY(0);
    }
    50% {
        transform: translateY(-10px);
    }
}

.link {
    color: rgb(25, 43, 71);
    padding: 10px 0;
}

.link:hover {
    color: #3cc03e;
}

.styled-form {
    display: none;
    text-align: center;
    position: fixed;
    width: 600px;
    top: 38%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: white;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.5);
    z-index: 11;
    transition: opacity 0.3s ease, transform 0.3s ease;
}

.styled-form p {
    color: #333;
    margin: 20px 0;
    line-height: 1.4;
}

.styled-form label {
    text-align: left;
    display: block;
    margin-top: 0px;
    font-weight: bold;
    color: #333;
    padding-left: 20px;
    padding-top: 5px;
}

.styled-form input[type="text"],
.styled-form input[type="email"] {
    width: 100%; /* Passt die Breite der Inputs an die Breite des Formulars an */
    height: 50px;
    padding: 15px;
    margin: 10px 0;
    border-radius: 5px;
    border: 1px solid #ccc;
    box-sizing: border-box;
    font-size: 18px;
}





@media (max-width: 991px) {
    .styled-form {
        width: 90% !important;
        padding: 15px; /* Reduziert das Padding für kleinere Bildschirme */
    }

    .styled-form input[type="text"],
    .styled-form input[type="email"] {
        height: 40px; /* Reduziert die Höhe der Inputs für kleinere Bildschirme */
        font-size: 16px; /* Reduziert die Schriftgröße in den Input-Feldern */
        padding: 10px; /* Passt das Padding der Input-Felder an */
    }

    .form_header {
        font-size: 20px !important;
    }

    .Eintragung {
        font-size: 12px !important;
    }
}

@media (max-width: 480px) {
    form .form_header {
        font-size: 17px !important;
    }

    form .Eintragung {
        font-size: 10px !important;
    }

    .styled-form {
        width: 95% !important; /* Weitere Anpassung der Breite für sehr kleine Bildschirme */
    }

    .styled-form input[type="text"],
    .styled-form input[type="email"] {
        height: 35px; /* Weitere Reduzierung der Höhe für sehr kleine Bildschirme */
        font-size: 14px; /* Weitere Reduzierung der Schriftgröße in den Input-Feldern */
        padding: 8px; /* Weitere Anpassung des Paddings der Input-Felder */
    }
}

.submit-btn {
    width: 100%;
    padding: 25px;
    background-color: #54c045;
    color: white;
    border: none;
    border-radius: 5px;
    font-size: 18px;
    cursor: pointer;
    font-weight: bold;
}

.submit-btn:hover {
    background-color: #36a42a;
}

.submit-btn:disabled {
    background-color: #ccc;
    cursor: not-allowed;
}

.disclaimer {
    font-size: 9px;
    color: #666;
    text-align: center;
    margin-top: 20px;
    font-weight: normal;
}

.transparent {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 10;
    background: rgba(0, 0, 0, 0.65);
    opacity: 0;
    display: none;
    transition: opacity 0.3s ease;
}

.warning {
    color: #d9534f;
    font-size: 14px;
    margin-top: -5px;
    margin-bottom: 10px;
    display: none;
}

main {
    width: 100%;
    max-width: 960px;
    margin: 0 auto;
    padding: 20px;
}

.headtext {
    display: flex; /* Aktiviert Flexbox */
    flex-direction: column; /* Richtet die Elemente vertikal aus */
    justify-content: center; /* Zentriert vertikal */
    align-items: center; /* Zentriert horizontal */
     /* Optional: stellt sicher, dass der Container die gesamte Höhe des Viewports einnimmt */
    text-align: center; /* Zentriert den Textinhalt */
    margin: 0 auto; /* Verhindert zusätzliches Verschieben */
    color: white;
}

.headtext_header {
    font-size: 36px;
    line-height: 1.3;
    color: #fff;
    margin-top: 21px;
    margin-bottom: 15px;
    text-align: center;
    padding-left: 15px;
    padding-right: 15px;
    max-width: 880px;
    margin-left: auto;
    margin-right: auto;
}

.whisper_2 {
    font-weight: 600;
}

.bekannt-container {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    margin-bottom: 80px;
    padding: 0; /* Sicherstellen, dass kein Padding vorhanden ist */
    box-sizing: border-box; /* Inklusive Padding und Border in der Breite */
}

.bekannt {
    max-height: 29.2px;
    height: auto;
    display: inline-block;
    margin: 0; /* Sicherstellen, dass kein Margin vorhanden ist */
    padding: 0; /* Sicherstellen, dass kein Padding vorhanden ist */
    box-sizing: border-box; /* Inklusive Padding und Border in der Breite */
}



@media (max-width: 991px) {

    .Vorschau::after {
        font-size: 2.5vw;
        width: 5vw;
        height: 5vw;
        line-height: 5vw;
    }

    .headtext_header {
        font-size: 22px !important;
        line-height: 1.2 !important;
        padding-left: 8px !important;
        padding-right: 8px !important;
    }

    main {
        width: 100%;
        max-width: 700px;
        margin: 0 auto;
    }

    .Zugang {
        font-size: 18px !important;
        padding-right: 12px !important;
        padding-left: 12px !important;
        width: 100%;
        margin: 20px 0px !important;
    }

    .arrow {
        width: 20px;
        height: 20px;
        scale: 0.7;
        margin-bottom: 1px;
    }


    .whisper,
    .whisper_2,
    .CTA {
        text-align: center !important;
        font-size: 14px !important;
        padding-left: 0 !important;
        padding-right: 0 !important;
        margin-top: 20px !important;
        min-width: 300px;
    }

    .Vorschau {
        width: auto;
        padding: 0;
        border-radius: 15px;
    }
    .Vorschau:hover{
        cursor: pointer;
    }

    .Vorschau img {
        max-width: 100%;
        height: auto;
    }
    .form_header {
        font-size: 20px !important;
    }

    .Eintragung {
        font-size: 12px !important;
    }
    .styled-form {
        width: 90% !important;
    }
    .styled-form input{
        width: 100%;
    }
}

@media (max-width: 600px) {
    ::-webkit-scrollbar {
        display: none;
    }
    .headtext_header {
     padding: 0 25px !important;
        line-height: 1.4 !important;
    }
    footer {
        text-align: center;
        font-size: 12px;
        background-color: transparent; /* Sicherstellen, dass kein Weiß als Hintergrund gesetzt ist */
        padding: 0;
        margin: 0;
        background-size: cover;
        background-repeat: no-repeat;
        background-position: center;
    }
    body {
        background-attachment: scroll !important;
    }
    .Zugang {
        font-size: 15px !important;
        margin: 20px 0 !important;


    }
    .arrow-animation {
        margin: 20px auto;  /* Abstände richtig einstellen */
    }
    main {
        margin: 0 auto;
    }
    .arrow-animation {
        margin-bottom: -20px;
        margin-top: 0px;
    }

    .Vorschau::after {
        font-size: 3vw;
        width: 6vw;
        height: 6vw;
        line-height: 6vw;
        text-indent: -1px;
    }

    .form_header {
        font-size: 20px !important;

    }

    .styled-form .Eintragung {
        font-size: 9px !important;

    }
    .styled-form {
        width: 90% !important;
    }
    .styled-form input{
        width: 90%;

    }
    .submit-btn {
        font-size: 14px;
    }
    .disclaimer {
        font-size: 7px;
    }
    .styled-form label {
        padding: 0;
        font-size: 12px;
    }

}

